package turtle;

import javax.swing.JOptionPane;

public class Wielokat {

	public static void main(String[] args) {
        final int OBWOD = 2000;
        int n = Integer.parseInt(JOptionPane.showInputDialog("Podaj liczbę boków"));
        double kat = 360.0 / n;
        double bok = (double)OBWOD / n;

        // za pomocą żółwia narysuj wielokąt foremny o tylu wierzchołkach / bokach
        Turtle.setCanvasSize(OBWOD / 2, OBWOD / 2);
        Turtle t = new Turtle(-bok/2, -OBWOD/(Math.PI * 2));
        t.penColor("blue");
        t.width(5);

		for(int i = 0; i < n; i++) {
			t.forward(bok);
			t.left(kat);
		}
	}

}
